
import { request } from '../utils/request'

export function info(data: any) {
  return request({
    url: `/phone/info`,
    method: 'POST',
    data
  })
}
export function list(data: any) {
  return request({
    url: `/phone/infoList`,
    method: 'POST',
    data
  })
}
export function etcData(phone: any) {
  return request({
    url: `/phone/electronicCertificateData?phone=${phone}`,
    method: 'GET',
  })
}
export function evaluateLaunch(data: any) {
  return request({
    url: `/phone/evaluateLaunch`,
    method: 'POST',
    data
  })
}
export function cleanPhoneDate(phone: any, name: any) {
  return request({
    // url: `/phone/cleanPhoneDate?phone=${phone}`,
    url: `/phone/cleanPhoneDate?phone=${phone}&name=${name}`,
    method: 'DELETE',
  })
}


export function etcChoose(data: any) {
  return request({
    url: `/phone/electronicCertificateChose`,
    method: 'POST',
    data
  })
}

export function labelStatistics(phone: string) {
  return request({
    url: `/phone/labelStatistics?phone=${phone}`,
    method: 'GET',
  })
}


export function getCleanReturn() {
  return request({
    url: `/phone/getCleanReturn`,
    method: 'GET',
  })
}